package com.oguerreiro.resilient.error;

public class InventoryImportVariableNotAllowedForInputException extends ResilientException {
  private static final String CODE = "E021";

  public InventoryImportVariableNotAllowedForInputException(String variableCode) {
    super("Variable Code [" + variableCode + "]; This variable is not configured from input.");
    addMessageArg(variableCode);
  }

  @Override
  public String getMessageCode() {
    return CODE;
  }

}
